Définir la politique de signature
curl --request POST \
--url https://api.truthlocks.com/v1/receipt-types/{name}/signing-policy \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"allow_any_issuer": true,
"allowed_algs": [
"<string>"
],
"allowed_issuer_ids": [
"<string>"
],
"min_trust_tier": "<string>"
}
'const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
allow_any_issuer: true,
allowed_algs: ['<string>'],
allowed_issuer_ids: ['<string>'],
min_trust_tier: '<string>'
})
};
fetch('https://api.truthlocks.com/v1/receipt-types/{name}/signing-policy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.truthlocks.com/v1/receipt-types/{name}/signing-policy"
payload = {
"allow_any_issuer": True,
"allowed_algs": ["<string>"],
"allowed_issuer_ids": ["<string>"],
"min_trust_tier": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.truthlocks.com/v1/receipt-types/{name}/signing-policy"
payload := strings.NewReader("{\n \"allow_any_issuer\": true,\n \"allowed_algs\": [\n \"<string>\"\n ],\n \"allowed_issuer_ids\": [\n \"<string>\"\n ],\n \"min_trust_tier\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"name": "<string>",
"signing_policy": {}
}{
"code": "AUTH_REQUIRED",
"message": "Authentication required",
"http_status": 401
}Reçus
Définir la politique de signature
Configurez quels émetteurs et algorithmes peuvent signer des reçus d’un type donné.
POST
/
v1
/
receipt-types
/
{name}
/
signing-policy
Définir la politique de signature
curl --request POST \
--url https://api.truthlocks.com/v1/receipt-types/{name}/signing-policy \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"allow_any_issuer": true,
"allowed_algs": [
"<string>"
],
"allowed_issuer_ids": [
"<string>"
],
"min_trust_tier": "<string>"
}
'const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
allow_any_issuer: true,
allowed_algs: ['<string>'],
allowed_issuer_ids: ['<string>'],
min_trust_tier: '<string>'
})
};
fetch('https://api.truthlocks.com/v1/receipt-types/{name}/signing-policy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.truthlocks.com/v1/receipt-types/{name}/signing-policy"
payload = {
"allow_any_issuer": True,
"allowed_algs": ["<string>"],
"allowed_issuer_ids": ["<string>"],
"min_trust_tier": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.truthlocks.com/v1/receipt-types/{name}/signing-policy"
payload := strings.NewReader("{\n \"allow_any_issuer\": true,\n \"allowed_algs\": [\n \"<string>\"\n ],\n \"allowed_issuer_ids\": [\n \"<string>\"\n ],\n \"min_trust_tier\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"name": "<string>",
"signing_policy": {}
}{
"code": "AUTH_REQUIRED",
"message": "Authentication required",
"http_status": 401
}Définit ou met à jour la politique de signature pour un type de reçu. La politique contrôle quels émetteurs peuvent émettre des reçus et quels algorithmes de signature sont autorisés.
Si aucune politique n’est configurée, tous les émetteurs de confiance avec n’importe quel algorithme sont autorisés.
Pour lire la politique actuelle, utilisez
GET /v1/receipt-types/{name}/signing-policy.
Réponse
Corps
application/json

